chiark
/
gitweb
/
~mdw
/
profile
/ blobdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
|
commitdiff
|
tree
raw
|
inline
| side by side
dot/emacs: Moderate horizontal scrolling; auto-scroll only one line.
[profile]
/
bin
/
mdw-sbuild-server
diff --git
a/bin/mdw-sbuild-server
b/bin/mdw-sbuild-server
index 2bba42a2f008da6654746bc9a0a9f6d12592879a..e4c919f6dc7e1bdd4eb803e10d148545c8d61b71 100755
(executable)
--- a/
bin/mdw-sbuild-server
+++ b/
bin/mdw-sbuild-server
@@
-41,7
+41,7
@@
done
prog=${0##*/}
fail () { echo >&2 "$prog: $*"; exit 1; }
prog=${0##*/}
fail () { echo >&2 "$prog: $*"; exit 1; }
-usage () { echo "usage: $prog [-ai
n] [-t TARGET
] COMMAND [ARGUMENTS ...]"; }
+usage () { echo "usage: $prog [-ai
knT] [-t TARGET] [-A DBPARGS
] COMMAND [ARGUMENTS ...]"; }
fail_usage () { usage >&2; exit 1; }
want_1 () {
fail_usage () { usage >&2; exit 1; }
want_1 () {
@@
-59,7
+59,7
@@
want_1 () {
run () {
case $notreally in
t) echo "+ $*" ;;
run () {
case $notreally in
t) echo "+ $*" ;;
- nil) "$@" ;;
+ nil)
nice
"$@" ;;
esac
}
esac
}
@@
-74,9
+74,9
@@
decor () {
### Parse options.
bogusp=nil archp=nil indepp=nil keepon=nil notreally=nil
### Parse options.
bogusp=nil archp=nil indepp=nil keepon=nil notreally=nil
-unset targets
+unset targets
dbpargs
-while getopts "haint:" opt; do
+while getopts "haint:
A:T
" opt; do
case $opt in
h)
usage
case $opt in
h)
usage
@@
-89,6
+89,8
@@
Options:
-k Keep going even if one fails.
-n Don't actually do the build.
-t TARGET Build in TARGET build environment.
-k Keep going even if one fails.
-n Don't actually do the build.
-t TARGET Build in TARGET build environment.
+ -A ARGS Pass ARGS to \`dpkg-buildpackage'.
+ -T Don't run the tests.
Commands available:
Commands available:
@@
-108,6
+110,13
@@
EOF
k) keepon=t ;;
n) notreally=t ;;
t) targets="${targets+$targets }$OPTARG" ;;
k) keepon=t ;;
n) notreally=t ;;
t) targets="${targets+$targets }$OPTARG" ;;
+ A) dbpargs="${dbpargs+$dbpargs }$OPTARG" ;;
+ T)
+ case " $DEB_BUILD_OPTIONS " in
+ *" nocheck "*) ;;
+ *) DEB_BUILD_OPTIONS=${DEB_BUILD_OPTIONS+"$DEB_BUILD_OPTIONS "} nocheck ;;
+ esac
+ ;;
*) bogusp=nil ;;
esac
done
*) bogusp=nil ;;
esac
done
@@
-287,9
+296,10
@@
case "$#,$1" in
exec 3>&1
thisrc=$(
{ { { { set +e
exec 3>&1
thisrc=$(
{ { { { set +e
- run sbuild --extra-package=
$
pkgs.$target \
+ run sbuild --extra-package=pkgs.$target \
--dist=$suite --build=$host --host=$target \
--chroot=$suite-$host --verbose $buildopt $dsc \
--dist=$suite --build=$host --host=$target \
--chroot=$suite-$host --verbose $buildopt $dsc \
+ ${dbpargs+--debbuildopts="$dbpargs"} \
3>&- 4>&- 5>&-
echo $? >&5
} |
3>&- 4>&- 5>&-
echo $? >&5
} |